---
title: llarp::layers::route::Destination
summary: a routable destination when we are an endpoint router transiting routing layer traffic. 

---

# llarp::layers::route::Destination



a routable destination when we are an endpoint router transiting routing layer traffic. 


`#include <destination.hpp>`

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [PubKey](Classes/structllarp_1_1PubKey.md) | **[src](Classes/classllarp_1_1layers_1_1route_1_1Destination.md#variable-src)**  |
| [PubKey](Classes/structllarp_1_1PubKey.md) | **[dst](Classes/classllarp_1_1layers_1_1route_1_1Destination.md#variable-dst)**  |
| [path::TransitHopInfo](Classes/structllarp_1_1path_1_1TransitHopInfo.md) | **[onion_info](Classes/classllarp_1_1layers_1_1route_1_1Destination.md#variable-onion-info)** <br>the info of the transit hop that we are located.  |
| std::optional< [flow::FlowInfo](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md) > | **[flow_info](Classes/classllarp_1_1layers_1_1route_1_1Destination.md#variable-flow-info)** <br>flow layer convo this routing destination is fascilitating. if applicable.  |

## Public Attributes Documentation

### variable src

```cpp
PubKey src;
```


### variable dst

```cpp
PubKey dst;
```


### variable onion_info

```cpp
path::TransitHopInfo onion_info;
```

the info of the transit hop that we are located. 

### variable flow_info

```cpp
std::optional< flow::FlowInfo > flow_info;
```

flow layer convo this routing destination is fascilitating. if applicable. 

-------------------------------

Updated on 2023-03-06 at 20:36:34 +0000